Subject: bug#43152: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Paul Eggert <[email-masked]>
Date: Sat, 5 Sep 2020 12:27:42 -0700

On 9/5/20 5:05 AM, Lars Ingebrigtsen wrote:
> On Macos 10.3 (high sierra), 886ba068c82dcf5e0e2e1244bf99841d4ff5690c
> does indeed fail to build.
> 
> b799cc271d69fc494da1fe04ca8ec6c529a19a19 works.

Thanks for checking. Since the bug occurs without the GC-related changes, it was 
a mistake to blame the bug on those changes, so I reinstalled them on master.

I suggest that someone with some time on macOS bisect between 
b799cc271d69fc494da1fe04ca8ec6c529a19a19 (which works) and 
886ba068c82dcf5e0e2e1244bf99841d4ff5690c (which does not work).

I further suggest that people use "git bisect --first-parent" if available, as 
it attempts to avoid the kind of false alarm that sent us off in that wild goose 
chase. Unfortunately --first-parent is only in Git master right now (it should 
appear in Git 2.29 when it comes out) so if you're running Git 2.28 or earlier 
you will have to make do with plain "git bisect" and we can check the result by 
hand.